News
Get story details
Get full details for a news story including key points, Q&A, and history.
GET
/
news
/
stories
/
{id}
cURL
curl "https://app.mavera.io/api/v1/news/stories/STORY_ID" \
-H "Authorization: Bearer YOUR_API_KEY"import requests
url = "https://app.mavera.io/api/v1/news/stories/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/news/stories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/news/stories/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "news_story",
"slug": "<string>",
"id": "<string>",
"name": "<string>",
"summary": "<string>",
"short_summary": "<string>",
"image_url": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"article_count": 123,
"unique_sources": 123,
"unique_source_domains": [
"<string>"
],
"sentiment": {},
"categories": [
"<string>"
],
"topics": [
"<string>"
],
"countries": [
"<string>"
],
"people": [
{
"wikidata_id": "<string>",
"name": "<string>",
"count": 123
}
],
"key_points": [
{
"point": "<string>",
"references": [
"<string>"
]
}
],
"questions": [
{
"question": "<string>",
"answer": "<string>",
"references": [
"<string>"
]
}
],
"selected_articles": [
{
"url": "<string>",
"title": "<string>",
"description": "<string>",
"source": "<string>",
"pub_date": "<string>"
}
],
"history": [
{
"triggered_at": "<string>",
"name": "<string>",
"summary": "<string>",
"key_points": [
"<string>"
]
}
]
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "The requested resource was not found.",
"type": "not_found",
"code": "resource_not_found",
"param": null
}
}{
"error": {
"message": "Rate limit exceeded. Please retry after 30 seconds.",
"type": "rate_limit_error",
"code": "rate_limit_exceeded",
"param": null
}
}Authorizations
API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Path Parameters
Story ID
Query Parameters
Include story history
Response
Story details
Available options:
news_story Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
cURL
curl "https://app.mavera.io/api/v1/news/stories/STORY_ID" \
-H "Authorization: Bearer YOUR_API_KEY"import requests
url = "https://app.mavera.io/api/v1/news/stories/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/news/stories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/news/stories/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "news_story",
"slug": "<string>",
"id": "<string>",
"name": "<string>",
"summary": "<string>",
"short_summary": "<string>",
"image_url": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"article_count": 123,
"unique_sources": 123,
"unique_source_domains": [
"<string>"
],
"sentiment": {},
"categories": [
"<string>"
],
"topics": [
"<string>"
],
"countries": [
"<string>"
],
"people": [
{
"wikidata_id": "<string>",
"name": "<string>",
"count": 123
}
],
"key_points": [
{
"point": "<string>",
"references": [
"<string>"
]
}
],
"questions": [
{
"question": "<string>",
"answer": "<string>",
"references": [
"<string>"
]
}
],
"selected_articles": [
{
"url": "<string>",
"title": "<string>",
"description": "<string>",
"source": "<string>",
"pub_date": "<string>"
}
],
"history": [
{
"triggered_at": "<string>",
"name": "<string>",
"summary": "<string>",
"key_points": [
"<string>"
]
}
]
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "The requested resource was not found.",
"type": "not_found",
"code": "resource_not_found",
"param": null
}
}{
"error": {
"message": "Rate limit exceeded. Please retry after 30 seconds.",
"type": "rate_limit_error",
"code": "rate_limit_exceeded",
"param": null
}
}